from django.conf.urls.defaults import *
from django.contrib import admin
from django.views.generic.list_detail import object_detail
from faq.models import Question

admin.autodiscover()

urlpatterns = patterns('faq.views',
    url(r'^$'                        , 'faq_list_topic'     , {}
                                                            , name = 'faq-topic'),                                                           
    url(r'^search/$'                 , 'faq_search'         , {}
                                                            , name = 'faq-search'),
    url(r'^(?P<topic_slug>[-\w]+)/$' , 'faq_topic_question' , {}
                                                            , name = 'faq-topic-question'),
    url(r'^(?P<topic_slug>[-\w]+)/page(?P<page>[0-9]+)/$' , 'faq_topic_question' , {}
                                                            , name = 'faq-topic-question-pag'),                                                                                                                      
    url(r'^question/(?P<object_id>\w+)/$' , object_detail
                                                            , {'queryset':Question.objects.all(),
                                                               'template_name' : 'faq/question_detail.html'}
                                                            , name = 'faq-question-detail'),
)

